Arch Frame/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/cs |Name=Arch Frame |Name/cs=Arch Frame |MenuLocation=Arch → Frame |Workbenches=Arch |Shortcut={{KEY|F}} {{KEY|R}} |SeeAlso=Arch Wall/cs...")
No edit summary
(10 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/cs|[[Arch_Nest|Nest]]|[[Arch_Fence|Fence]]|[[Arch_Workbench/cs|Arch]]|IconL=Arch_Nest.svg |IconC=Workbench_Arch.svg |IconR=Arch_Fence.svg}}
{{GuiCommand/cs|Name=Arch Frame|Name/cs=Arch Frame|Workbenches=[[Arch Module/cs|Arch]]|MenuLocation=Arch → Frame|Shortcut=F R}}
</div>
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/cs
{{GuiCommand/cs
|Name=Arch Frame
|Name=Arch Frame
|Name/cs=Arch Frame
|Name/cs=Arch Frame
|MenuLocation=Arch → Frame
|MenuLocation=Arch → Frame
|Workbenches=[[Arch Module/cs|Arch]]
|Workbenches=[[Arch_Workbench/cs|Arch]]
|Shortcut={{KEY|F}} {{KEY|R}}
|Shortcut={{KEY|F}} {{KEY|R}}
|SeeAlso=[[Arch Wall/cs]], [[Arch Structure/cs]]
|SeeAlso=[[Arch Wall/cs]], [[Arch Structure/cs]]
}}
}}
</div>


==Popis==
==Popis==


The {{Button|[[Image:Arch Frame.svg|16px]] [[Arch Frame|Arch Frame]]}} tool is used to build all kinds of frame objects based on a profile and a layout. The profile is extruded along the edges of the layout, which can be any 2D object such as a [[Sketcher Module|sketch]], or a [[Draft Module|draft object]]. It is especially useful to create railings, or frame walls. Frame objects can then easily be turned into [[Arch Wall|wall]] or [[Arch Structure|structure]] objects.
The {{Button|[[Image:Arch Frame.svg|16px]] [[Arch_Frame|Arch Frame]]}} tool is used to build all kinds of frame objects based on a profile and a layout. The profile is extruded along the edges of the layout, which can be any 2D object such as a [[Sketcher_Workbench|sketch]], or a [[Draft_Workbench|Draft object]]. It is especially useful to create railings, or frame walls. Frame objects can then easily be turned into [[Arch_Wall|wall]] or [[Arch_Structure|structure]] objects.


[[Image:Arch Frame example.jpg|640px]]
[[Image:Arch Frame example.jpg|640px]]
{{Caption|Frame object created from a [[Draft Array]] of a [[Draft Line]], using a [[Draft Circle]] as profile}}
{{Caption|Frame object created from a [[Draft_OrthoArray|Draft OrthoArray]] of a [[Draft_Line|Draft Line]], using a [[Draft_Circle|Draft Circle]] as profile}}


==Usage==
==Usage==


# Create a layout object and a profile object, for example with the [[Draft Workbench]] or the [[Sketcher Workbench]].
# Create a layout object and a profile object, for example with the [[Draft_Workbench|Draft Workbench]] or the [[Sketcher_Workbench|Sketcher Workbench]].
# Select the layout object first, then, with {{KEY|Ctrl}} pressed, select the profile object.
# Select the layout object first, then, with {{KEY|Ctrl}} pressed, select the profile object.
# Press the {{Button|[[Image:Arch Frame.svg|16px]] [[Arch Frame]]}} button, or press {{KEY|F}} then {{KEY|R}} keys.
# Press the {{Button|[[Image:Arch Frame.svg|16px]] [[Arch_Frame|Arch Frame]]}} button, or press {{KEY|F}} then {{KEY|R}} keys.


==Options==
==Options==


* Frames share the common properties and behaviours of all [[Arch Component|Arch Components]]
* Frames share the common properties and behaviours of all [[Arch_Component|Arch Components]]
* The frame object can be placed at a certain distance from the layout object, by setting its Offset property
* The frame object can be placed at a certain distance from the layout object, by setting its Offset property
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.
Line 41: Line 43:


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


The Frame tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Frame tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Frame = makeFrame(baseobj, profile)
Frame = makeFrame(baseobj, profile)
Line 49: Line 51:


* Creates a {{incode|Frame}} object from the given {{incode|baseobj}} and {{incode|profile}}.
* Creates a {{incode|Frame}} object from the given {{incode|baseobj}} and {{incode|profile}}.
** {{incode|baseobj}} is any object containing wires, like a [[Draft Wire]], or a [[Draft Array]] with a collection of them.
** {{incode|baseobj}} is any object containing wires, like a [[Draft_Wire|Draft Wire]], or a [[Draft_OrthoArray|Draft OrthoArray]] with a collection of them.
** {{incode|profile}} is an extrudable 2D object containing faces or closed wires.
** {{incode|profile}} is an extrudable 2D object containing faces or closed wires.


Line 64: Line 66:
}}
}}


<div class="mw-translate-fuzzy">
{{docnav/cs|[[Arch_Nest|Nest]]|[[Arch_Fence|Fence]]|[[Arch_Module|Arch]]|IconL=Arch_Nest.svg |IconC=Workbench_Arch.svg |IconR=Arch_Fence.svg}}
{{docnav/cs|[[Arch_Nest|Nest]]|[[Arch_Fence|Fence]]|[[Arch_Workbench|Arch]]|IconL=Arch_Nest.svg |IconC=Workbench_Arch.svg |IconR=Arch_Fence.svg}}
</div>


{{Arch Tools navi/cs}}
{{Arch Tools navi{{#translation:}}}}


{{Userdocnavi/cs}}
{{Userdocnavi{{#translation:}}}}

Revision as of 21:10, 29 August 2021

Arch Frame

Umístění Menu
Arch → Frame
Pracovní stoly
Arch
Výchozí zástupce
F R
Představen ve verzi
-
Viz také
Arch Wall/cs, Arch Structure/cs

Popis

The Arch Frame tool is used to build all kinds of frame objects based on a profile and a layout. The profile is extruded along the edges of the layout, which can be any 2D object such as a sketch, or a Draft object. It is especially useful to create railings, or frame walls. Frame objects can then easily be turned into wall or structure objects.

Frame object created from a Draft OrthoArray of a Draft Line, using a Draft Circle as profile

Usage

  1. Create a layout object and a profile object, for example with the Draft Workbench or the Sketcher Workbench.
  2. Select the layout object first, then, with Ctrl pressed, select the profile object.
  3. Press the Arch Frame button, or press F then R keys.

Options

  • Frames share the common properties and behaviours of all Arch Components
  • The frame object can be placed at a certain distance from the layout object, by setting its Offset property
  • The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.

Properties

  • ÚdajeBase: The layout this frame is based on.
  • ÚdajeProfile: The profile this frame is based on.
  • ÚdajeAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • ÚdajeOffset: An optional distance between the layout object and the frame object.
  • ÚdajeRotation: The rotation of the profile around its extrusion axis.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Frame tool can be used in macros and from the Python console by using the following function:

Frame = makeFrame(baseobj, profile)
  • Creates a Frame object from the given baseobj and profile.
    • baseobj is any object containing wires, like a Draft Wire, or a Draft OrthoArray with a collection of them.
    • profile is an extrudable 2D object containing faces or closed wires.

Example:

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()